function WriteSidePanel()
{
	var strHTML='';
		
	strHTML+=m_objMqButton.GetTextButtonHTML("cmdAddNewLic", g_MqRef.RESX["LM.BUTTON_ADD_NEW_LICENSE"], "AddNewLic()", "", 65, "", "", 150);

	var blnShowMassUpdateButton=false;
	
	if(parent){
		if(parent.objFrames){
			var winTopTB=parent.objFrames.GetFrameWindow(parent.TOPTOOLBAR_FRAME_ID);
			if (winTopTB){
				blnShowMassUpdateButton=winTopTB.blnHasFeature112;
			}
		}
	}
	
	if(blnShowMassUpdateButton){
		strHTML+=m_objMqButton.GetTextButtonHTML("MassUpdate", g_MqRef.RESX['SL.MASS_UPDATE_SELECTED_ISSUES'], "OpenBatchUpdateWindow()", "", 65, "", "", 150);
	}
	
	
	if(parent.UserHasAccessToView(82, parent.m_strValidViewIDs)){
		strHTML+=m_objMqButton.GetTextButtonHTML("cmdSWAssets", g_MqRef.RESX["BUTTON_MANAGE_SW_ASSETS"], "parent.LoadView('View=Resources%2FSWAssets')", "", 65, "padding-top:50px;", g_MqRef.RESX["INSTALLED_SW.BUTTON_TOOLTIP_SW_INSTALLATIONS"] , 150, "HTMLTextButtonNavLink", "TextButtonNavLink");
	}
	
	if(parent.UserHasAccessToView(83, parent.m_strValidViewIDs)){
		strHTML+=m_objMqButton.GetTextButtonHTML("cmdSWAssetTypes", g_MqRef.RESX["BUTTON_MANAGE_SW_ASSET_DEFS"], "parent.LoadView('View=Resources%2FSWAssetTypes')", "", 65, "", g_MqRef.RESX["INSTALLED_SW.BUTTON_TOOLTIP_SW_INSTALLATIONS"] , 150, "HTMLTextButtonNavLink", "TextButtonNavLink");
	}
	
	if(parent.UserHasAccessToView(67, parent.m_strValidViewIDs)){
		strHTML+=m_objMqButton.GetTextButtonHTML("cmdDiscInstalls", g_MqRef.RESX["INSTALLED_SW.BUTTON_SW_INSTALLATIONS"], "parent.LoadView('View=Installations%2FLibrary')", "", 65, "", g_MqRef.RESX["INSTALLED_SW.BUTTON_TOOLTIP_SW_INSTALLATIONS"] , 150, "HTMLTextButtonNavLink", "TextButtonNavLink");
	}
	
	document.write(strHTML);
	
	SetButtonVisibleOnCheck("MassUpdate");
}


function AddNewLic()
{
	parent.onClickControls('AddNew');
}

function EditLic(lngID)
{
	parent.LoadRecord(lngID, -1, false);
}

